<?php
/**                                                                                                                                                                                                                                                                           * Month report
 *                                                                                                                                                                                                                                                                           
 */

require('includes/application_top.php');

if(isset($_GET['month'])&& isset($_GET['year']))
  {
    $month = (int)$_GET['month'];
    $year = (int)$_GET['year'];
  }
else
  {
    $month = date('n');
    $year = date('Y');
  }




$selectql = $db->Execute('SELECT pd.products_name, p.* FROM products p 
LEFT JOIN products_description pd ON p.products_id = pd.products_id
WHERE p.products_status = 1
ORDER BY pd.products_name ');
$stuff = array();
while(!$selectql->EOF)
  {      
    $stuff[] = array(
		     "products_id" => $selectql->fields['products_id'],
		     "name" => stripslashes($selectql->fields['products_name']),
		     "model" => stripslashes($selectql->fields['products_model'])
		     );
    $selectql->MoveNext();
  }


$product_non = $stuff;
$products = array();
foreach($product_non as $index=>$values)
  {
    $key = $values['products_id'];
    $products[$key]['name'] = $values['name'] . (($values['model'] == '') ? '' : ' - ' . $values['model']);
    if($key != 141 && $key != 30 && $key != 31 && $key != 32)
      {
	$products[$key]['qty'] = 0;
	$products[$key]['pqty'] = 0;
	$products[$key]['sales'] = 0;
	$products[$key]['psales'] = 0;
      }
  }


$selectql = $db->Execute("SELECT op.products_id, op.products_quantity, op.final_price FROM orders_products op LEFT JOIN orders o on op.orders_id = o.orders_id WHERE MONTH(o.date_purchased) = " . (int)$month . " AND YEAR(o.date_purchased) = " . (int)$year);
while(!$selectql->EOF)
  {
    $pid = $selectql->fields['products_id'];
    $products[$pid]['qty'] += $selectql->fields['products_quantity'];
    $products[$pid]['sales'] += $selectql->fields['products_quantity'] * $selectql->fields['final_price'];
  
    $selectql->MoveNext();
  }


$imonth = $month - 1;
$iyear = $year;
if($imonth == 0)  {
  $imonth = 12;
  $iyear = $year - 1;
}

$selectql = $db->Execute("SELECT op.products_id, op.products_quantity, op.final_price FROM orders_products op LEFT JOIN orders o on op.orders_id = o.orders_id WHERE MONTH(o.date_purchased) = " . (int)$imonth . " AND YEAR(o.date_purchased) = " . (int)$iyear);

while(!$selectql->EOF)
  {
    $pid = $selectql->fields['products_id'];
    $products[$pid]['pqty'] += $selectql->fields['products_quantity'];
    $products[$pid]['psales'] += $selectql->fields['products_quantity'] * $selectql->fields['final_price'];
    $selectql->MoveNext();    
  }

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
  <title><?php echo TITLE; ?></title>
  <link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
  <link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
  <script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>

<script type="text/javascript" src="https://www.google.com/jsapi?key=YOUR_API_KEY_HERE"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
<script src="includes/javascript/jquery.tablesorter.min.js"></script>

<link rel="stylesheet" type="text/css" href="includes/javascript/table_style.css" media="all" id="hoverJS">

  <script type="text/javascript">
  <!--
function init()
{
    cssjsmenu('navbar');
  if (document.getElementById)
  {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
  }
}
// -->                                                                                                                                                                                                                                                                        

$(document).ready(function()
		  {
		    $('#month_report_table').tablesorter({
		      sortList: [[3,1]], 
			  widgets:['zebra'],
			  textExtraction: function(node) {
			  return node.innerHTML.replace(/(,|%)/i, '');
			} 
			  }); 
		    

		  });
</script>
</head> 
<body onLoad="init()">
<!-- header //-->                                                                                                                                                                                                                                                             
<div class="header_area">
    <?php require(DIR_WS_INCLUDES . 'header.php'); ?>

</div>
<!-- header_eof //-->                           

  <br /><br />


<form action="reports_month.php" method="get">

  <select name="month">
  <option value="1" <?php if($month == 1) echo 'selected '; ?>>January</option>
  <option value="2" <?php if($month == 2) echo 'selected '; ?>>February</option>
  <option value="3" <?php if($month == 3) echo 'selected '; ?>>March</option>
  <option value="4" <?php if($month == 4) echo 'selected '; ?>>April</option>
  <option value="5" <?php if($month == 5) echo 'selected '; ?>>May</option>
  <option value="6" <?php if($month == 6) echo 'selected '; ?>>June</option>
  <option value="7" <?php if($month == 7) echo 'selected '; ?>>July</option>
  <option value="8" <?php if($month == 8) echo 'selected '; ?>>August</option>
  <option value="9" <?php if($month == 9) echo 'selected '; ?>>September</option>
  <option value="10" <?php if($month == 10) echo 'selected '; ?>>October</option>
  <option value="11" <?php if($month == 11) echo 'selected '; ?>>November</option>
  <option value="12" <?php if($month == 12) echo 'selected '; ?>>December</option>
  </select>
  
<select name="year">
<?php
  $now = date('Y');
for( $i = 2005; $i <= $now; $i++)
  {
    $selected = '';
    if($year == $i)
      $selected = ' selected ';
    echo '<option value="'.$i.'" '.$selected.'>'.$i.'</option>';
  }
?>
</select>

<input type="submit" value="view month" />
</form>
<br /><br />

<table class="tablesorter" id="month_report_table" style="font-size:10pt;">
<thead>
<tr>
  <th>ID:</th>
  <th>Name:</th>
  <th>Total $:</th>
  <th>% change from <?php echo $imonth . '/' . $iyear; ?>:</th>
  <th>Total qty:</th>
  <th>% change from <?php echo $imonth . '/' . $iyear; ?>:</th>
</tr>
</thead>
<tbody>
<?php
  foreach($products as $pid=>$values)
{
  if(strpos(strtolower($values['name']), 'gift certificate') === False)
    {
  ?>
  <tr>
    <td><?php echo $pid; ?></td>
    <td><?php echo $values['name']; ?></td>
    <td>$<?php echo number_format($values['sales'], 2); ?></td>
 <?php 
 if($values['psales'] == 0)
 $perc = 0;
 else
 $perc = (($values['sales'] * 100) / $values['psales']) - 100;
?>
      <td style="font-weight:bold; color:<?php if($perc > 0) echo '#008000'; else echo '#ff0000'; ?>" >
<?php
  if($perc > 0)
    echo '+' . number_format($perc, 0) . '%';
  else
    echo  number_format($perc, 0) . '%';
  ?>
  </td>
      <td><?php echo $values['qty']; ?></td>

 <?php 
 if($values['pqty'] == 0)
 $perc = 0;
 else
  $perc = (($values['qty'] * 100) / $values['pqty']) - 100;
?>
      <td style="font-weight:bold; color:<?php if($perc > 0) echo '#008000'; else echo '#ff0000'; ?>" >
<?php
  if($perc > 0)
    echo '+' . number_format($perc, 0) . '%';
  else
    echo  number_format($perc, 0) . '%';
  ?>
</td>

    </tr>
  <?php
    }
}
?>
</tbody>
</table>

<!-- footer //-->                                                                                                                                                                                                                                                             
<div class="footer-area">
    <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
</div>
<!-- footer_eof //-->                                                                                                                                                                                                                                                         
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php');?>